package jrummikub.model;

/**
 * Objects that have a size. This interface has to be implemented for objects
 * placed on a @{link StoneTray} to make detection of overlapping objects
 * possible.
 */
public interface Sizeable {
	/**
	 * Get the width of the object
	 * 
	 * @return object width
	 */
	public float getWidth();

	/**
	 * Get the height of the object
	 * 
	 * @return object height
	 */
	public float getHeight();
}
