package jrummikub.view;

import java.util.Map;

import jrummikub.model.Position;
import jrummikub.model.StoneSet;

/**
 * The view of the table, where the stone sets lie
 */
public interface ITablePanel extends IStonePanel, IClickable {
  /**
   * Sets the player name on the left label
   * 
   * @param playerName
   *          the name to set
   */
  public void setLeftPlayerName(String playerName);

  /**
   * Sets the player name on the top label
   * 
   * @param playerName
   *          the name to set
   */
  public void setTopPlayerName(String playerName);

  /**
   * Sets the player name on the right label
   * 
   * @param playerName
   *          the name to set
   */
  public void setRightPlayerName(String playerName);

  /**
   * Sets the stone sets lying on the table
   * 
   * @param stoneSets
   *          set stone sets on the table
   */
  public void setStoneSets(Map<StoneSet, Position> stoneSets);

  /**
   * Returns the stone collection (the panel showing the stones currently
   * selected)
   * 
   * @return the stone collection
   */
  IStoneCollectionPanel getStoneCollectionPanel();
}
